%base {
  display: inline-flex;
  justify-content: center;
  align-items: center;
  vertical-align: middle;

  &.l {
    font-size: 1.3em;

    &.before {
      margin-right: 0.2em;
    }
  }

  &.s {
    font-size: 1.3em;
  }

  &.before {
    margin-right: 0.2em;
  }
}

%circled {
  border-radius: 1em;
  width: 1.4em;
  height: 1.4em;
  min-width: 1.4em;
  min-height: 1.4em;
}

.outline {
  @extend %base;
  @extend %circled;
  box-shadow: inset 0 0 0 1.7px var(--color, --color-brand-base);
  color: var(--color, --color-brand-base);
}

.base {
  @extend %base;
  @extend %circled;

  background: var(--color-brand-weakest);
  color: --color-brand-base;

  &.inverted {
    color: white;
    background: rgba(white, 0.2);
  }
}

.bare {
  @extend %base;
  vertical-align: middle;
}

.info {
  @extend %base;
  @extend %circled;
}

.cta {
  @extend %base;
  @extend %circled;
  background: var(--background, --color-brand-base);
  color: var(--color, white);

  &.inverted {
    background: var(--background, white);
    color: var(--color, inherit);
  }
}
